=== src/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# add sub dir for business plugins

add_subdirectory(upgrade)
add_subdirectory(compat)
