## dde-file-manager 5.5.10

=== debian/changelog ===
dde-file-manager (5.5.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 18 Mar 2022 18:03:36 +0800
