=== debian/control ===
--- 
+++ 
@@ -40,34 +40,32 @@
  dh-systemd,
  deepin-anything-dev[i386 amd64],
  deepin-anything-server-dev[i386 amd64],
- libudisks2-qt5-dev,
+ libudisks2-qt5-dev(>=5.0.6),
  libxrender-dev,
  libmtdev-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libegl1-mesa-dev,
  libglibmm-2.4-dev,
- libgio-qt-dev,
- libdisomaster-dev,
+ libgio-qt-dev(>=0.0.11),
+ libdisomaster-dev(>=5.0.7),
  libssl-dev,
  libmediainfo-dev,
  libqt5xdg-dev,
  libtag1-dev,
  libicu-dev,
- libcue-dev,
  liblucene++-dev,
  libgsf-1-dev,
  libglib2.0-dev,
- libhtmlcxx-dev,
- libxml2-dev,
- libmimetic-dev,
  libboost-date-time-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-regex-dev,
  libboost-system-dev,
  libboost-test-dev,
- libboost-thread-dev
+ libboost-thread-dev,
+ libdocparser-dev,
+ deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -104,6 +102,19 @@
 Description: plugin of dde-dock
  Disk mount plugin of dde-dock which is created by libdde-file-manager
 
+Package: libdfm-extension
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: extension library of dde-file-manager
+ Extension library of dde-file-manager which is provided for third parties
+
+Package: libdfm-extension-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension
+Description: Development package for libdfm-extension
+ This package contains the header files and pkgconfig
+ of libdfm-extension
+
 Package: libdde-file-manager
 Architecture: any
 Depends:
@@ -114,12 +125,12 @@
  cryptsetup,
  libkf5codecs5,
  deepin-anything-libs[i386 amd64],
- liblucene++-dev,
- libgsf-1-dev,
- libglib2.0-dev,
- libhtmlcxx-dev,
- libxml2-dev,
- libmimetic-dev
+ libudisks2-qt5 (>=5.0.6),
+ libdisomaster (>=5.0.7),
+ libdocparser,
+ libdfm-extension
+Recommends:
+ libudfburn
 Breaks: dde-file-manager(<=1.2.3-3)
 Multi-Arch: same
 Description: DDE File Manager library
