=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" filemanager.pro
+
