## dde-file-manager 5.6.3

=== debian/changelog ===
dde-file-manager (5.6.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 06 May 2022 09:48:55 +0800
