## dde-file-manager 5.6.4

=== debian/changelog ===
dde-file-manager (5.6.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Sun, 12 Jun 2022 18:06:09 +0800
