## dde-file-manager 5.6.8

=== debian/changelog ===
dde-file-manager (5.6.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 26 Jul 2022 09:48:24 +0800
