## dde-file-manager 5.6.9

=== debian/changelog ===
dde-file-manager (5.6.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 31 Aug 2022 09:09:33 +0800

dde-file-manager (5.6.9) stable; urgency=medium

  * Update security improvement

 -- zhuangshu <zhuangshu@deepin.com>  Mon, 08 Aug 2022 14:32:58 +0000
