## dde-file-manager 5.8.1

=== debian/changelog ===
dde-file-manager (5.8.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 10 Nov 2022 09:18:35 +0800

dde-file-manager (5.8.0) unstable; urgency=low

  * create baseline 5.8.0
  *

 -- new baseline <lvwujun@uniontech.com>  Fri, 04 Oct 2022 11:50:18 +0800

dde-file-manager (5.6.6) UNRELEASED; urgency=low

  * Autobuild Tag 5.6.6
  *

 -- TagBuilder <xushitong@uniontech.com>  Wed, 13 Jul 2022 17:52:39 +0800
