## dde-file-manager 5.8.3

=== debian/changelog ===
dde-file-manager (5.8.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 08 Dec 2022 11:53:20 +0800
