## dde-file-manager 5.9.2

=== debian/changelog ===
dde-file-manager (5.9.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 13 Apr 2023 15:10:14 +0800
