## dde-file-manager 6.0.55

=== debian/changelog ===
dde-file-manager (6.0.55) unstable; urgency=medium

  * some bug fix.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 08 Aug 2024 13:30:59 +0800

dde-file-manager (6.0.54) unstable; urgency=medium

  * 6.0.54,to strengthen DBUS security
  * 

 -- lvwujun <lvwujun@uniontech.com>  Wed, 10 Jul 2024 11:14:50 +0800

dde-file-manager (6.0.53) unstable; urgency=medium

  * 6.0.53,to support AM interface and video wallpaper
  * 

 -- lvwujun <lvwujun@uniontech.com>  Wed, 26 Jun 2024 9:57:50 +0800

dde-file-manager (6.0.52) unstable; urgency=medium

  * 6.0.52,to support AM show-item
  * 

 -- lvwujun <lvwujun@uniontech.com>  Fri, 31 May 2024 15:26:50 +0800

dde-file-manager (6.0.51) unstable; urgency=medium

  * 6.0.51
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 21 May 2024 19:21:50 +0800

dde-file-manager (6.0.50) unstable; urgency=medium

  * new AM adapt.
  * 

 -- xushitong <xushitong@uniontech.com>  Tue, 07 May 2024 16:02:46 +0800

dde-file-manager (6.0.49) unstable; urgency=medium

  * update file manager baseline version to V6.0.49

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Apr 2024 13:26:49 +0800

dde-file-manager (6.0.48) unstable; urgency=medium

  * update file manager baseline version to V6.0.48

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 18 Apr 2024 17:37:25 +0800

dde-file-manager (6.0.47) unstable; urgency=medium

  * update file manager baseline version to V6.0.47

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 16 Apr 2024 15:21:35 +0800

dde-file-manager (6.0.46) unstable; urgency=medium

  * update file manager baseline version to V6.0.46

 -- liujinchang <liujinchang@uniontech.com>  Fri,12 Apr 2024 17:01:53 +0800

dde-file-manager (6.0.45) unstable; urgency=medium

  * update file manager baseline version to V6.0.45

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 10 Apr 2024 11:44:46 +0800

dde-file-manager (6.0.44) unstable; urgency=medium

  * update file manager baseline version to V6.0.44

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 03 Apr 2024 14:54:24 +0800

dde-file-manager (6.0.43) unstable; urgency=medium

  * update file manager baseline version to V6.0.43

 -- lvwujun <lvwujun@uniontech.com>  Thu, 28 Mar 2024 17:03:00 +0800

dde-file-manager (6.0.42) unstable; urgency=medium

  * update file manager baseline version to V6.0.42

 -- liuyangming <liuyangming@uniontech.com>  Wed, 27 Mar 2024 16:56:00 +0800

dde-file-manager (6.0.41) unstable; urgency=medium

  * update file manager baseline version to V6.0.41

 -- lvwujun <lvwujun@uniontech.com>  Mon, 04 Mar 2024 15:03:17 +0800

dde-file-manager (6.0.40) unstable; urgency=medium

  * update file manager baseline version to V6.0.40

 -- lvwujun <lvwujun@uniontech.com>  Wed, 17 Jan 2024 15:03:17 +0800

dde-file-manager (6.0.39) unstable; urgency=medium

  * update file manager baseline version to V6.0.39

 -- lvwujun <lvwujun@uniontech.com>  Tue, 16 Jan 2024 09:53:25 +0800

dde-file-manager (6.0.38) unstable; urgency=medium

  * update file manager baseline version to V6.0.38

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Jan 2024 14:25:16 +0800

dde-file-manager (6.0.37) unstable; urgency=medium

  * update file manager baseline version to V6.0.37

 -- lvwujun <lvwujun@uniontech.com>  Wed, 29 Nov 2023 14:42:33 +0800

dde-file-manager (6.0.36) unstable; urgency=medium

  * update file manager baseline version to V6.0.36

 -- lvwujun <lvwujun@uniontech.com>  Wed, 22 Nov 2023 15:47:21 +0800

dde-file-manager (6.0.35) unstable; urgency=medium

  * update file manager baseline version to V6.0.35
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 15 Nov 2023 20:40:51 +0800

dde-file-manager (6.0.34) unstable; urgency=medium

  * baseline of feature disk encryption
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 08 Nov 2023 13:48:32 +0800

dde-file-manager (6.0.33) unstable; urgency=medium

  * update file manager baseline version to V6.0.33

 -- lvwujun <lvwujun@uniontech.com>  Thu, 2 Nov 2023 11:07:21 +0800

dde-file-manager (6.0.31) unstable; urgency=medium

  * update file manager baseline version to V6.0.31

 -- lvwujun <lvwujun@uniontech.com>  Fri, 1 Sep 2023 10:16:23 +0800

dde-file-manager (6.0.30) unstable; urgency=medium

  * update file manager baseline version to V6.0.30

 -- lvwujun <lvwujun@uniontech.com>  Mon, 28 Aug 2023 15:23:11 +0800

dde-file-manager (6.0.29) unstable; urgency=medium

  * update file manager baseline version to V6.0.29

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 24 Aug 2023 10:22:04 +0800

dde-file-manager (6.0.28) unstable; urgency=medium

  * update file manager baseline version to V6.0.28

 -- lvwujun <lvwujun@uniontech.com>  Fri, 18 Aug 2023 14:29:09 +0800

dde-file-manager (6.0.27) unstable; urgency=medium

  * update file manager baseline version to V6.0.27 that fixed some bugs

 -- lvwujun <lvwujun@uniontech.com>  Fri, 4 Aug 2023 11:18:29 +0800

dde-file-manager (6.0.26) unstable; urgency=medium

  * update file manager baseline version to V6.0.26 that merged eagle-sp5-2

 -- lvwujun <lvwujun@uniontech.com>  Thu, 3 Aug 2023 11:08:21 +0800

dde-file-manager (6.0.25) unstable; urgency=medium

  * update file manager V6.0.25 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 10:05:21 +0800

dde-file-manager (6.0.24) unstable; urgency=medium

  * update file manager V6.0.24 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Tue, 1 Aug 2023 14:41:12 +0800

dde-file-manager (6.0.23) unstable; urgency=medium

  * update file manager V6.0.23 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Fri, 30 June 2023 10:03:21 +0800

dde-file-manager (6.0.22) unstable; urgency=medium

  * update file manager V6.0.22 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 28 June 2023 10:45:03 +0800

dde-file-manager (6.0.21) unstable; urgency=medium

  * update file manager V6.0.21 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 June 2023 10:16:03 +0800

dde-file-manager (6.0.20) unstable; urgency=medium


