=== debian/control ===
Source: dde-file-manager
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 doxygen,
 debhelper (>=9),
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 libffmpegthumbnailer-dev,
 libqt5svg5-dev,
 libpolkit-agent-1-dev, 
 libpolkit-qt5-1-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 qttools5-dev-tools,
 qttools5-dev,
 dde-dock-dev(>=4.8.4.1),
 libdframeworkdbus-dev,
 libtag1-dev,
 libdmr-dev,
 libicu-dev,
 libdeepin-pdfium-dev,
 libqt5xdg-dev,
 libgio-qt-dev,
 libdfm-io-dev,
 libdfm-mount-dev,
 libdfm-burn-dev,
 libssl-dev,
 libgtest-dev,
 libgmock-dev,
 libgsettings-qt-dev,
 liblucene++-dev,
 libdocparser-dev,
 libboost-filesystem-dev,
 libsecret-1-dev,
 libkf5codecs-dev,
 libpoppler-cpp-dev,
 libcryptsetup-dev,
 libpcre3-dev,
 deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-desktop
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}, 
 libdde-file-manager,
 dde-desktop-plugins
Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem
Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1)
Recommends: qt5dxcb-plugin, deepin-screensaver, dcc-wallpapersetting-plugin
Description: deepin desktop-environment - desktop module
 Deepin Desktop Environment (DDE) - desktop module.

Package: dde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdde-file-manager,
 libgio-qt,
 libqt5xdg3,
 socat,
 cryfs,
 libblockdev-crypto2,
 dde-device-formatter,
 dde-file-manager-plugins, 
 dde-file-manager-daemon-plugins,
 dde-file-manager-server-plugins,
 dde-file-manager-common-plugins, 
 dde-file-manager-preview-plugins
Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1), libdde-file-manager
Recommends: dde-qt5integration, avfs, samba, deepin-anything-server
Description: File manager front end
 File manager front-end of Deepin OS

Package: libdde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpoppler-cpp0v5 (>= 0.48.0),
 gvfs-backends(>=1.27.3),
 cryptsetup,
 libdfm-extension( =${binary:Version})
Multi-Arch: same
Description: DDE File Manager core librarys
 This package contains the shared libraries.

Package: dde-desktop-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - desktop edge plugins module
 Deepin Desktop Environment (DDE) - desktop edge plugins module.

Package: dde-file-manager-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs
Description: deepin desktop-environment - filemanager edge plugins module
 Deepin Desktop Environment (DDE) - filemanager edge plugins module.

Package: dde-file-manager-common-plugins
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}
Description: deepin desktop-environment - filemanager common edge plugins module
 Deepin Desktop Environment (DDE) - filemanager common edge plugins module.

Package: dde-file-manager-daemon-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - daemon edge plugins module
 Deepin Desktop Environment (DDE) - daemon edge plugins module.

Package: dde-file-manager-server-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - server edge plugins module
 Deepin Desktop Environment (DDE) - server edge plugins module.
 
Package: dde-file-manager-preview-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - filemanager preview plugins module
 Deepin Desktop Environment (DDE) - filemanager preview edge plugins module.

Package: dde-disk-mount-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin of dde-dock
 Disk mount plugin of dde-dock which is created by dde-file-manager

Package: libdfm-extension
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension library of dde-file-manager
 Extension library of dde-file-manager which is provided for third parties

Package: libdfm-extension-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension( =${binary:Version})
Description: Development package for libdfm-extension
 This package contains the header files and pkgconfig
 of libdfm-extension

Package: dde-file-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager,
 libdfm-io-dev, libdfm-mount-dev, libdfm-burn-dev
Description: DDE File Manager Devel library
 This package contains the header files and static libraries
 of dde-file-manager
